Package org.silverpeas.components.scheduleevent.view

# Class AvailabilityVisitorPresenceCounter

java.lang.Object
org.silverpeas.components.scheduleevent.view.AbstractAvailabilityVisitor
org.silverpeas.components.scheduleevent.view.AvailabilityVisitorPresenceCounter

All Implemented Interfaces:
  `AvailabilityVisitor`

public class AvailabilityVisitorPresenceCounter extends AbstractAvailabilityVisitor implements AvailabilityVisitor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AvailabilityVisitorPresenceCounter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `answers()`
  `int`
  `compareTo(AvailabilityVisitorPresenceCounter presenceCounter)`
  `int`
  `count()`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `void`
  `visit(AgreeAvailability availability)`
  `void`
  `visit(DisagreeAvailability availability)`

  ### Methods inherited from class org.silverpeas.components.scheduleevent.view.AbstractAvailabilityVisitor

  `visit, visit`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.components.scheduleevent.view.AvailabilityVisitor

  `visit, visit`

- ## Constructor Details

  - ### AvailabilityVisitorPresenceCounter

    public AvailabilityVisitorPresenceCounter()

- ## Method Details

  - ### visit

    public void visit(AgreeAvailability availability)
    Specified by:
      `visit` in interface `AvailabilityVisitor`
    Overrides:
      `visit` in class `AbstractAvailabilityVisitor`

  - ### visit

    public void visit(DisagreeAvailability availability)
    Specified by:
      `visit` in interface `AvailabilityVisitor`
    Overrides:
      `visit` in class `AbstractAvailabilityVisitor`

  - ### count

    public int count()

  - ### answers

    public int answers()

  - ### compareTo

    public int compareTo(AvailabilityVisitorPresenceCounter presenceCounter)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`